<form method="post" enctype="multipart/form-data" class="sap-form form-horizontal">
	{preventCsrf}
	<div class="wrap-list">
		<div class="wrap-group">
			<div class="wrap-group-heading">
				<h4>{lang key='options'}</h4>
			</div>

			<div class="row">
				<label class="col col-lg-2 control-label" for="input-language">{lang key='title'} <span class="text-danger">*</span></label>
				<div class="col col-lg-4">
					<input type="text" name="title" value="{$item.title}" maxlength="255">
				</div>
			</div>
			<div class="row">
				<label class="col col-lg-2 control-label" for="input-language">{lang key='date_start'} <span class="text-danger">*</span></label>
				<div class="col col-lg-4">
					<div class="input-group">
						<input type="text" name="date" class="js-datepicker" value="{$item.date}" readonly="readonly">
						<span class="input-group-addon js-datetimepicker-toggle"><i class="i-calendar"></i></span>
					</div>
				</div>
			</div>
			<div class="row">
				<label class="col col-lg-2 control-label" for="input-language">{lang key='date_end'} <span class="text-danger">*</span></label>
				<div class="col col-lg-4">
					<div class="input-group">
						<input type="text" name="date_end" class="js-datepicker" value="{$item.date_end}" readonly="readonly">
						<span class="input-group-addon js-datetimepicker-toggle"><i class="i-calendar"></i></span>
					</div>
				</div>
			</div>
			<div class="row">
				<label class="col col-lg-2 control-label" for="input-language">{lang key='venue'}</label>
				<div class="col col-lg-4">
					<input type="text" name="venue" class="common" value="{$item.venue}" maxlength="255">
				</div>
			</div>
			<div class="row">
				<label class="col col-lg-2 control-label" for="input-language">{lang key='repeat'}</label>
				<div class="col col-lg-4">
					{html_options options=$repeat selected=$item.repeat name='repeat'}
				</div>
			</div>
			<div class="row">
				<label class="col col-lg-2 control-label" for="input-language">{lang key='detailed_description'} <span class="text-danger">*</span></label>
				<div class="col col-lg-8">
					{ia_wysiwyg name='description' value=$item.description}
				</div>
			</div>
	</div>

	{include file='fields-system.tpl'}
</form>

{ia_add_media files='datepicker'}
{ia_add_js}
$(function()
{
	$('.js-datepicker').datetimepicker(
	{
		format: 'yyyy-mm-dd hh:ii',
		autoclose: true,
		todayBtn: true,
	});
	$('.js-datetimepicker-toggle').on('click', function()
	{
		$(this).prev('.js-datepicker').datetimepicker('show');
	});
});
{/ia_add_js}